> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pmock.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Rpa update task

> RPA



## OpenAPI

````yaml post /open/api/rpa/task/update
openapi: 3.1.0
info:
  title: apidoc
  description: ''
  version: 1.0.0
servers:
  - url: https://user.pmock.com/api
    description: Generated server url
security: []
tags: []
paths:
  /open/api/rpa/task/update:
    post:
      tags: []
      summary: Rpa update task
      description: RPA
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateTaskReqVO'
              description: ''
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RVoid'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    UpdateTaskReqVO:
      type: object
      properties:
        id:
          type: integer
          description: 任务id
          format: int64
        name:
          type: string
          description: 任务名称
        stopPhoneFlag:
          type: integer
          description: 任务结束是否关机，1=是，0=否
          default: 0
        taskList:
          type: array
          items:
            $ref: '#/components/schemas/AddTaskListReqVO'
            description: AddTaskListReqVO
          description: 任务集合
      required:
        - id
        - name
    RVoid:
      type: object
      properties:
        traceId:
          type: string
          description: Request link ID
        code:
          type: integer
          description: code
        msg:
          type: string
          description: Request return message
        data:
          description: Request return data
          type: 'null'
        status:
          type: string
          description: >-
            Status, representing whether this is an instant completion or
            waiting state, finish or pending
          default: finish
      required:
        - traceId
        - code
        - msg
        - status
    AddTaskListReqVO:
      type: object
      properties:
        phoneId:
          type: integer
          description: 手机id
          format: int64
        params:
          $ref: '#/components/schemas/MapString'
          description: 流程模板参数构建结果
        startTime:
          type: integer
          description: 开始执行时间
          format: int64
      required:
        - phoneId
    MapString:
      type: object
      properties:
        key:
          type: string

````